1        AcadPoint acadPoint = this.GetAcadDoc.ModelSpace.AddPoint(new double[] { 500,500,0});
 2             
 3             List<short> DataType = new List<short>();
 4             List<object> DataValue = new List<object>();
 5 
 6             DataType.Add(1001);
 7             DataValue.Add("Test_Application");
 8 
 9             DataType.Add(1000);
10             DataValue.Add("OriginalPoint");
11             acadPoint.SetXData(DataType.ToArray(), DataValue.ToArray());
12 
13             object xtypeOut;
14             object xdataOut;
15             acadPoint.GetXData(string.Empty, out xtypeOut, out xdataOut);

 

posted on 2020-03-08 16:47  zgyijg  阅读(368)  评论(0编辑  收藏  举报